Change log for libxpp3-java package in Ubuntu

19 of 9 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2018-03-29
Deleted in bionic-proposed (Reason: moved to release)
libxpp3-java (1.1.4c-3) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #893084)
  * Removed the javadoc from the binary package
  * Build with the DH sequencer instead of CDBS
  * Moved the package to Git
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11
  * Updated debian/copyright to the Copyright Format 1.0

 -- Emmanuel Bourg <email address hidden>  Fri, 16 Mar 2018 13:28:02 +0100
Superseded in bionic-release on 2018-03-29
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-04-08
Superseded in xenial-release on 2016-04-08
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
libxpp3-java (1.1.4c-2build1) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.
 -- James Page <email address hidden>   Fri, 18 May 2012 11:45:46 +0100

Available diffs

Superseded in quantal-release on 2012-05-18
Published in precise-release on 2011-10-17
libxpp3-java (1.1.4c-2) unstable; urgency=low

  * Switch to source format 3.0.
  * Update Standards-Version: 3.9.1.
  * Add Vcs-* headers.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 11:12:54 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
libxpp3-java (1.1.4c-1) unstable; urgency=low

  [ Ludovic Claude ]
  * New upstream version
  * Add myself to Uploaders 
  * Add ${misc:Depends} to Depends to clear Lintian warnings  
  * Remove Depends on Java runtimes as it is a library
  * Change section to java
  * Bump up Standards-Version to 3.8.2
  * Add the Maven POM to the package
  * Add a Build-Depends-Indep dependency on maven-repo-helper and quilt
  * Use quilt to patch the sources, easier to work with
  * Use default-jdk instead of kaffe for the build

  [ Torsten Werner ]
  * Actually I did add Ludovic to Uploaders.
  * Add myself to Uploaders.
  * Switch to debhelper compat level 5.
  * Reference the common-licenses file for LGPL-2.1.

 -- Matthias Klose <email address hidden>   Fri,  30 Oct 2009 08:23:06 +0000

Available diffs

Obsolete in karmic-updates on 2013-03-04
Deleted in karmic-proposed on 2013-03-04 (Reason: moved to -updates)
libxpp3-java (1.1.3.4.O-4ubuntu2) karmic-proposed; urgency=low

  * Add maven POM. LP: #461090.
  * Add a Build-Depends-Indep dependency on maven-repo-helper.

 -- Matthias Klose <email address hidden>   Mon, 26 Oct 2009 17:19:45 +0100
Superseded in lucid-release on 2009-10-30
Obsolete in karmic-release on 2013-03-04
Superseded in karmic-release on 2009-08-26
Superseded in karmic-release on 2009-05-11
Obsolete in jaunty-release on 2013-02-28
Superseded in jaunty-release on 2009-01-06
libxpp3-java (1.1.3.4.O-4ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - default-java transition.

 -- Chris Cheney <email address hidden>   Wed, 17 Dec 2008 00:15:00 -0600

Available diffs

Superseded in jaunty-release on 2008-12-17
libxpp3-java (1.1.3.4.O-4) unstable; urgency=low

  * Do not include the javax.xml.namespace.QName class since it is likely
    to cause conflicts. (Closes: #500909)
  * Move dependencies for clean target to Build-depends.
  * Update to policy version 3.8.0.1.
    - Describe patch management in README.source.
  * debian/copyright: Completed copyright information.
  * Added myself to Uploaders, removed Wolfgang.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  05 Nov 2008 10:38:22 +0000

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
libxpp3-java (1.1.3.4.O-3) unstable; urgency=low


  * Removed explicit usage of jikes build compiler property
    for kaffe jikes -> ecj transition
  * Added patch to raise build target to 1.3 - required for ecj

 -- Wolfgang Baer <email address hidden>  Fri,  6 Jan 2006 19:06:52 +0100
Superseded in dapper-release on 2006-01-31
libxpp3-java (1.1.3.4.O-2) unstable; urgency=low


  * Added ant-optional due to ant reorganization
  * Registered javadoc api with doc-base

  * Upload sponsored by Arnaud Vandyck

 -- Wolfgang Baer <email address hidden>  Fri, 16 Sep 2005 15:36:16 +0200
19 of 9 results